--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Syntactic sugar to improve readability. Has no effect on state of the expectation.
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.stubs(:expected_method).returns(1, 2).then.raises(Exception).then.returns(4)\n  object.expected_method # =&gt; 1\n  object.expected_method # =&gt; 2\n  object.expected_method # =&gt; raises exception of class Exception\n  object.expected_method # =&gt; 4\n"
full_name: Mocha::Expectation#then
is_singleton: false
name: then
params: " then() -> expectation\n"
visibility: public
